## Index

### Classes

- Tokenizer

### Type aliases

- TokenizerState

### Variables

- CHARCODE_MINUS
- CHARCODE_NL
- CHARCODE_OPEN_PAREN
- CHARCODE_SPACE
- CHARCODE_UNDERSCORE
- CHARCODE_a
- CHARCODE_z

## Type aliases

### TokenizerState

TokenizerState: function

- Defined in Tokenizer.ts:5

#### Type declaration

- - (eof: boolean): void

  - #### Parameters

    - ##### eof: boolean

    #### Returns void

## Variables

### CHARCODE_MINUS

CHARCODE_MINUS: number = "-".charCodeAt(0)

- Defined in Tokenizer.ts:12

### CHARCODE_NL

CHARCODE_NL: number = "\n".charCodeAt(0)

- Defined in Tokenizer.ts:11

### CHARCODE_OPEN_PAREN

CHARCODE_OPEN_PAREN: number = "(".charCodeAt(0)

- Defined in Tokenizer.ts:9

### CHARCODE_SPACE

CHARCODE_SPACE: number = " ".charCodeAt(0)

- Defined in Tokenizer.ts:10

### CHARCODE_UNDERSCORE

CHARCODE_UNDERSCORE: number = "_".charCodeAt(0)

- Defined in Tokenizer.ts:13

### CHARCODE_a

CHARCODE_a: number = "a".charCodeAt(0)

- Defined in Tokenizer.ts:7

### CHARCODE_z

CHARCODE_z: number = "z".charCodeAt(0)

- Defined in Tokenizer.ts:8

Generated using TypeDoc